import { StyleSheet } from 'react-native'
import appColors from '../../../../theme/appColors'
import {
  fontSizes,
  windowHeight,
  windowWidth,
} from '../../../../theme/appConstant'
import appFonts from '../../../../theme/appFonts'

const styles = StyleSheet.create({
  space: {
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(0.8),
  },
  container: {
    justifyContent: 'space-between',
    alignItems: 'center',
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(-0.8),
  },
  filledBar: {
    backgroundColor: appColors.primary,
    flex: 1,
    height: windowHeight(0.6),
    borderRadius: windowHeight(1),
    marginHorizontal: windowWidth(0.3),
  },
  emptyBar: {
    flex: 1,
    height: windowHeight(0.6),
    borderRadius: windowHeight(1),
    marginHorizontal: windowWidth(0.3),
  },
  accNumber: {
    marginHorizontal: windowWidth(4),
  },
  btnContainer: {
    marginVertical: windowHeight(2),
  },
  title: {
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(1),
  },
  boxstyle: {
    elevation: 0,
  },
  header: {
    height: windowHeight(12),
    width: windowWidth(100),
    borderBottomEndRadius: windowWidth(5),
    borderBottomStartRadius: windowWidth(5),
    elevation: 1,
  },
  gap: {
    gap: windowHeight(8.5),
  },
  card: {
    maxHeight: windowHeight(76),
    marginTop: windowHeight(3),
    width: '90%',
    alignSelf: 'center',
    borderRadius: windowWidth(5),
  },
  main: {
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.bold,
    marginTop: windowHeight(2),
    textAlign: 'center',
  },
  sub: {
    color: appColors.secondaryFont,
    marginTop: windowHeight(0.9),
    fontSize: fontSizes.FONT3HALF1,
    fontFamily: appFonts.medium,
    marginBottom: windowHeight(1),
    textAlign: 'center',
  },
})
export default styles
